This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
[perl #90850] Outdated Solaris pkg list on README.solaris
authorClaudio Ramirez <nxadm@cpan.org>
Mon, 23 May 2011 15:33:58 +0000 (08:33 -0700)
committerFather Chrysostomos <sprout@cpan.org>
Mon, 23 May 2011 15:37:04 +0000 (08:37 -0700)
The required packages for building perl on Solaris are outdated.
The complete list is only appliable to Solaris 8 (released in
February 2000, end of support in March 2009). The patch updates
the requirements for Solaris 9 and 10 (in short: dropping
no longer existant packages).

README.solaris

index 342c2f6..b8c8dbf 100644 (file)
@@ -143,18 +143,25 @@ shipped with SunOS4 will not do.
 Several tools needed to build perl are located in /usr/ccs/bin/:  ar,
 as, ld, and make.  Make sure that /usr/ccs/bin/ is in your PATH.
 
-You need to make sure the following packages are installed
-(this info is extracted from the Solaris FAQ):
+
+On all the released versions of Solaris (8, 9 and 10) you need to make sure the following packages are installed (this info is extracted from the Solaris FAQ):
 
 for tools (sccs, lex, yacc, make, nm, truss, ld, as): SUNWbtool,
 SUNWsprot, SUNWtoo
 
 for libraries & headers: SUNWhea, SUNWarc, SUNWlibm, SUNWlibms, SUNWdfbh,
-SUNWcg6h, SUNWxwinc, SUNWolinc
+SUNWcg6h, SUNWxwinc
+
+Additionaly, on Solaris 8 and 9 you also need:
 
 for 64 bit development: SUNWarcx, SUNWbtoox, SUNWdplx, SUNWscpux,
 SUNWsprox, SUNWtoox, SUNWlmsx, SUNWlmx, SUNWlibCx
 
+And only on Solaris 8 you also need:
+
+for libraries & headers: SUNWolinc
+
+
 If you are in doubt which package contains a file you are missing,
 try to find an installation that has that file. Then do a